NfsServerV2 (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class NfsServerV2

    java.lang.Object
      org.hyperic.sigar.NfsServerV2

All Implemented Interfaces:
  java.io.Serializable

    public class NfsServerV2

extends java.lang.Object
implements java.io.Serializable

NfsServerV2 sigar class.

See Also:
  Serialized Form

Constructor Summary
`NfsServerV2()`

Method Summary
`void` | `gather(Sigar sigar)`
`long` | `getCreate()` Get the create.
`long` | `getFsstat()` Get the fsstat.
`long` | `getGetattr()` Get the getattr.
`long` | `getLink()` Get the link.
`long` | `getLookup()` Get the lookup.
`long` | `getMkdir()` Get the mkdir.
`long` | `getNull()` Get the null.
`long` | `getRead()` Get the read.
`long` | `getReaddir()` Get the readdir.
`long` | `getReadlink()` Get the readlink.
`long` | `getRemove()` Get the remove.
`long` | `getRename()` Get the rename.
`long` | `getRmdir()` Get the rmdir.
`long` | `getRoot()` Get the root.
`long` | `getSetattr()` Get the setattr.
`long` | `getSymlink()` Get the symlink.
`long` | `getWrite()` Get the write.
`long` | `getWritecache()` Get the writecache.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NfsServerV2

    public NfsServerV2()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getNull

    public long getNull()

  Get the null.

  Supported Platforms: Undocumented.

  Returns:
    null

### getGetattr

    public long getGetattr()

  Get the getattr.

  Supported Platforms: Undocumented.

  Returns:
    getattr

### getSetattr

    public long getSetattr()

  Get the setattr.

  Supported Platforms: Undocumented.

  Returns:
    setattr

### getRoot

    public long getRoot()

  Get the root.

  Supported Platforms: Undocumented.

  Returns:
    root

### getLookup

    public long getLookup()

  Get the lookup.

  Supported Platforms: Undocumented.

  Returns:
    lookup

### getReadlink

    public long getReadlink()

  Get the readlink.

  Supported Platforms: Undocumented.

  Returns:
    readlink

### getRead

    public long getRead()

  Get the read.

  Supported Platforms: Undocumented.

  Returns:
    read

### getWritecache

    public long getWritecache()

  Get the writecache.

  Supported Platforms: Undocumented.

  Returns:
    writecache

### getWrite

    public long getWrite()

  Get the write.

  Supported Platforms: Undocumented.

  Returns:
    write

### getCreate

    public long getCreate()

  Get the create.

  Supported Platforms: Undocumented.

  Returns:
    create

### getRemove

    public long getRemove()

  Get the remove.

  Supported Platforms: Undocumented.

  Returns:
    remove

### getRename

    public long getRename()

  Get the rename.

  Supported Platforms: Undocumented.

  Returns:
    rename

### getLink

    public long getLink()

  Get the link.

  Supported Platforms: Undocumented.

  Returns:
    link

### getSymlink

    public long getSymlink()

  Get the symlink.

  Supported Platforms: Undocumented.

  Returns:
    symlink

### getMkdir

    public long getMkdir()

  Get the mkdir.

  Supported Platforms: Undocumented.

  Returns:
    mkdir

### getRmdir

    public long getRmdir()

  Get the rmdir.

  Supported Platforms: Undocumented.

  Returns:
    rmdir

### getReaddir

    public long getReaddir()

  Get the readdir.

  Supported Platforms: Undocumented.

  Returns:
    readdir

### getFsstat

    public long getFsstat()

  Get the fsstat.

  Supported Platforms: Undocumented.

  Returns:
    fsstat

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.